import { TreeView, IFilter, ISort, TreeNode, InsertSiblingType, IData } from './node';
export interface IUseTreeState {
    id: string;
    data: any;
    filter?: IFilter;
    sort?: ISort;
    defaultOpened?: boolean | number[];
    multipleSelect?: boolean;
    idKey?: string;
    childrenKey?: string;
}
export declare type IDropType = 'before' | 'children' | 'after';
export declare const useTreeState: ({ id, data, filter, sort, defaultOpened, multipleSelect, idKey, childrenKey, }: IUseTreeState) => {
    instance: TreeView;
    handlers: {
        setChildren: (parent: TreeNode | string | number, children: TreeNode[], type?: "first" | "last" | undefined, reset?: boolean | undefined) => void;
        setLoading: (node: TreeNode | string | number, loading?: boolean | undefined) => void;
        setOpen: (node: TreeNode | string | number) => Promise<void>;
        setRawChildren: (parent: TreeNode | string | number, children: IData[], type?: "first" | "last" | undefined, reset?: boolean | undefined) => void;
        setSelected: (node: TreeNode | string | number, selected?: boolean | undefined) => void;
        setSiblings: (node: TreeNode | string | number, siblings: TreeNode[], type: InsertSiblingType) => void;
        draggableHandlers: {
            handleDragStart: (e: React.DragEvent) => void;
            handleDragEnter: (node: TreeNode, type: string | boolean) => (e: React.DragEvent) => void;
            handleDragLeave: (node: TreeNode) => (e: React.DragEvent) => void;
            handleDrop: (sourceNode: TreeNode) => (e: React.DragEvent) => void;
        };
    };
    required: {
        isDragging: boolean;
        data: TreeNode[];
    };
};
